.equ	Dout	=	0		;PB0 -  
.equ	Clk		=	1		;PB1 - 
.equ	SendDel	=	220		; 

.def	A			= R16	; 1
.def	SendCnt		= R26	;  
.def	SendDelReg	= R27	;  
;*****************************************************
;   1
;*****************************************************
;Stop_Int_TMR1:	cbi	TIMSK,TOIE1	;  Timer1
;			ret
;*****************************************************
;Start_Int_TMR1:	sbi	TIMSK,TOIE1	;  Timer1
;			ret
;*****************************************************
Start_TMR1:	ldi	A,8		;   8
			out	TCCR1,	A			;
			ret
;*****************************************************
Stop_TMR1:	clr	A		; Timer1
			out	TCCR1,	A			;
			ret
;*****************************************************
Reset_TMR1:	ldi	A,8			;   8
			out	TCCR1,	A	; 
			in	A,TIMSK
			sbr	A,(1<<TOIE1)	;  Timer1
			out	TIMSK,	A
;*****************************************************
Resync_TMR1:ldi	A,SendDel	;  (1.28msec)
			out	TCNT1,	A
			ret
;*****************************************************
Tim1_OVF:	in		tempSreg,SREG	; 
		ldi	A,SendDel	;  (1.28msec)
		out		TCNT1,	A
		tst		SendDelReg
		breq	TMR1_Exit
		dec		SendDelReg
		out		SREG,tempSreg	; 
TMR1_Exit:	reti
;*****************************************************
;   Command_0 - Command_4 (40 )
;*****************************************************
SendLed:
	;	ldi		Command_4,$0F
	;	ldi		Command_3,$ED
	;	ldi		Command_2,$CB
	;	ldi		Command_1,$A9
	;	ldi		Command_0,$87
		cbi		PORTB,Dout		;Dout  "0"
		ldi		SendCnt,8*5		; 40 
Cicle:
		sbrc	Command_4,7		;  7     - 
		sbi		PORTB,Dout		;Dout  "1"
		cbi		PORTB,Clk		;
		rcall	Delay_1_28			;
		rol		Command_0		;   
		rol		Command_1		;
		rol		Command_2
		rol		Command_3
		rol		Command_4
		sbi		PORTB,Clk		; 
		cbi		PORTB,Dout		;Dout  "0"
		dec		SendCnt			; 
		brne	Cicle			; 
		ret
;*****************************************************
Delay_328:	ldi		SendDelReg,255			;    
			rjmp	Delay_1
;*****************************************************
Delay_1_28:	ldi		SendDelReg,1
Delay_1:	rcall	Reset_TMR1	;Resync_TMR
Wait1:		tst		SendDelReg
			brne	Wait1
		;cbi	TIMSK,TOIE1	;  Timer1
		rcall	Stop_TMR1
	ret
